[LON-CAPA-cvs] cvs: loncom /build buildHelp.sh

albertel lon-capa-cvs-allow@mail.lon-capa.org
Tue, 07 Aug 2007 21:03:52 -0000


albertel		Tue Aug  7 17:03:52 2007 EDT

  Modified files:              
    /loncom/build	buildHelp.sh 
  Log:
  - blow up if rebuildLabelHash fails
  
  
Index: loncom/build/buildHelp.sh
diff -u loncom/build/buildHelp.sh:1.6 loncom/build/buildHelp.sh:1.7
--- loncom/build/buildHelp.sh:1.6	Tue Sep 14 17:18:44 2004
+++ loncom/build/buildHelp.sh	Tue Aug  7 17:03:52 2007
@@ -1,13 +1,19 @@
 perl help_graphics_converter.pl
 cd ../../doc/help
 perl rebuildLabelHash.pl
+if [ $? -ne 0 ]; then
+    exit -1
+fi
+
 
 # build author manual, with the current eps files
 perl render.texxml.pl -- author.manual  ../../loncom/html/adm/help/eps/ $1
 perl render.texxml.pl -- course.manual  ../../loncom/html/adm/help/eps/ $1
+#perl render.texxml.pl -- developer.manual  ../../loncom/html/adm/help/eps/ $1
 
 # build on-line access to the manuals
 
 perl texxml2indextex.pl -- author.manual.texxml > author.manual.access.tex
 perl texxml2indextex.pl -- course.manual.texxml > course.manual.access.tex
+#perl texxml2indextex.pl -- developer.manual.texxml > developer.manual.access.tex